*"表題 地図投影描画パラメーター管理 GTOOL3(GGMGET)
*
*"履歴 92/10/27 竹広真一
*"     93/05/07 竹広真一
*"     93/08/10 竹広真一 矢印投影用パラメター追加
*
*
*********************************************************************
*"         << 描画パラメータを参照 >>
*********************************************************************
      SUBROUTINE GGMGET
     I         ( HP,
     O           IPARA )
*
      CHARACTER HP   *(*)                !" パラメーターの名前
*"   (INTEGER)  IPARA                    ! パラメーターの内容：数字
*
      PARAMETER ( NPP=15 )
*
      REAL      RX( NPP )
      INTEGER   IX( NPP )
      LOGICAL   LX( NPP )
      EQUIVALENCE ( RX,IX,LX )
*
      CHARACTER HPP  ( NPP )*8
      CHARACTER CMSG*80
*
      SAVE
*
      DATA  HPP( 1)/'PRJ     '/, IX( 1)/10/      !" 投影法
      DATA  HPP( 2)/'LON     '/, RX( 2)/180./    !" 投影中心経度
      DATA  HPP( 3)/'LAT     '/, RX( 3)/0.0/     !" 投影中心緯度
      DATA  HPP( 4)/'ROT     '/, RX( 4)/0.0/     !" 投影回転角度
      DATA  HPP( 5)/'MAG     '/, RX( 5)/1.0/     !" 投影拡大率
      DATA  HPP( 6)/'MAP     '/, IX( 6)/0/       !" 地図描画ライン
      DATA  HPP( 7)/'BACK    '/, LX( 7)/.FALSE./ !" 裏側投影
*
      DATA  HPP( 8)/'IARLEN  '/, IX( 8)/ 1 /     !" 矢印投影モード
      DATA  HPP( 9)/'ICENT   '/, IX( 9)/ -1/     !" 矢印投影中心位置

*
      DO 1100 N = 1, NPP
        IF ( HP .EQ. HPP  (N) ) THEN
          IPARA = IX(N)
          RETURN
        END IF
 1100 CONTINUE
*
      NHP  = LENC(HP)
      CMSG = 'PARAMETER '''//HP(1:NHP)//''' IS NOT DEFINED.'
      CALL MSGDMP( 'E', 'GGPGET', CMSG )
*
      RETURN
*=======================================================================
*"         << 描画パラメータを設定 >>
*=======================================================================
      ENTRY GGMSET
     I         ( HP, IPARA )
*
      DO 2100 N = 1, NPP
        IF ( HP .EQ. HPP  (N) ) THEN
          IX( N ) = IPARA
          RETURN
        END IF
 2100 CONTINUE
*
      NHP = LENC(HP)
      CMSG = 'PARAMETER '''//HP(1:NHP)//''' IS NOT DEFINED.'
      CALL MSGDMP( 'E', 'GGPSET', CMSG )
*
      RETURN
      END
